#!/bin/sh

#
# apm.sh - genere un fichier de statistiques de APM
#
# Usage : apm.sh
#
# Description :
# apm.sh tourne en boucle et s'arrete lorsqu'il est stoppe par un
# signal 2, 6, 9 ou 15. Avant de sortir, il ecrit un fichier de donnees
# dans /tmp/apm.plot pouvant etre exploite par gnuplot.
#
# Voir aussi :
# gnuplot(1)
#

Analyse ()
{
    sed "s/\([0-9]*\).*: \([0-9]*\)\%$/\1 \2/" < /tmp/apm.out > /tmp/apm.plot
    rm -f /tmp/apm.out
    echo "OK /tmp/apm.plot done."
    exit 0
}

trap Analyse 2 6 9 15

i=0
(
while true
do
    echo -n "$i "
    apm
    i=`expr $i + 1`
    sleep 60
done
) > /tmp/apm.out

